Name:		mftrace
Epoch:		2
Version:	1.2.20
Release:	%mkrel 2
Summary:	Generates scalable fonts for TeX
Group:		Publishing
License:	GPLv2
URL:		http://lilypond.org/mftrace/
Source0:	http://lilypond.org/downloads/sources/mftrace/mftrace-%{version}.tar.gz
Patch0:		mftrace-1.2.20-man.patch

BuildRequires:	potrace
BuildRequires:	python3-devel

Requires:	fontforge
Requires:	potrace
Requires:	python3
Requires:	t1utils
Requires:	tetex

%description
mftrace is a small Python program that lets you trace a TeX bitmap
font into a PFA or PFB font (A PostScript Type1 Scalable Font) or TTF
(TrueType) font. It is licensed under the GNU GPL.

Scalable fonts offer many advantages over bitmaps, as they allow
documents to render correctly at many printer resolutions. Moreover,
Ghostscript can generate much better PDF, if given scalable PostScript
fonts.

%prep
%autosetup -p1

sed -i -e "s|-Wall -O2|%{optflags}|" GNUmakefile.in

%build
export PYTHON=%{__python3}
%configure
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
%{_bindir}/gf2pbm
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}/


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 2:1.2.20-2.mga9
+ Revision: 1798458
- Mageia 9 Mass Rebuild

* Mon Feb 24 2020 daviddavid <daviddavid> 2:1.2.20-1.mga8
+ Revision: 1549990
- new version: 1.2.20
- port to python3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2:1.2.19-2.mga7
+ Revision: 1299528
- Mageia 7 Mass Rebuild

* Sun Oct 08 2017 daviddavid <daviddavid> 2:1.2.19-1.mga7
+ Revision: 1170127
- new version: 1.2.19
- remove no more needed fontforge-fix.diff patch

* Fri Jun 30 2017 akien <akien> 2:1.2.18-9.mga6
+ Revision: 1108768
- Remove dependency on obsolete autotrace

* Mon Apr 11 2016 tv <tv> 2:1.2.18-8.mga6
+ Revision: 1000281
- fix detecting fontforge (thus fixing building ec-fonts-mftraced)

* Mon Feb 01 2016 umeabot <umeabot> 2:1.2.18-7.mga6
+ Revision: 930259
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2:1.2.18-6.mga5
+ Revision: 747446
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2:1.2.18-5.mga5
+ Revision: 727248
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2:1.2.18-4.mga5
+ Revision: 682373
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2:1.2.18-3.mga4
+ Revision: 507939
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2:1.2.18-2.mga3
+ Revision: 360010
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 rtp <rtp> 2:1.2.18-1.mga3
+ Revision: 336166
- update to 1.2.18 to fix ec-font-mftraced build

* Thu Mar 31 2011 spuhler <spuhler> 2:1.2.16-2.mga1
+ Revision: 79159
- imported package mftrace


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.16-2mdv2011.0
+ Revision: 612862
- the mass rebuild of 2010.1 packages

* Thu Apr 15 2010 Buchan Milne <bgmilne@mandriva.org> 2:1.2.16-1mdv2010.1
+ Revision: 535079
- update to new version 1.2.16

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2:1.2.15-2mdv2010.0
+ Revision: 430023
- rebuild

* Thu Sep 04 2008 Buchan Milne <bgmilne@mandriva.org> 2:1.2.15-1mdv2009.0
+ Revision: 280493
- update to new version 1.2.15

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 2:1.2.14-3mdv2009.0
+ Revision: 252366
- rebuild

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 2:1.2.14-1mdv2008.1
+ Revision: 140953
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Apr 17 2007 David Walluck <walluck@mandriva.org> 2:1.2.14-1mdv2008.0
+ Revision: 14225
- 1.2.14


* Sun Jan 28 2007 Buchan Milne <bgmilne@mandriva.org> 1.2.9-1mdv2007.0
+ Revision: 114627
- New version 1.2.9
- Updated URLs

* Thu Sep 07 2006 Buchan Milne <bgmilne@mandriva.org> 2:1.2.4-2mdv2007.0
+ Revision: 60244
- (minor) fix misplaced change
- fix idiotic epoch

* Mon Sep 04 2006 Buchan Milne <bgmilne@mandriva.org> 1:1.2.4-1mdv2007.0
+ Revision: 59677
- New version 1.2.4

* Fri Aug 11 2006 Bruno Cornec <Bruno.Cornec@mandriva.org> 2:1.1.17-2mdv2007.0
+ Revision: 55360
- release and Epoch put in line
- mftrace now uses %%mkrel
  Epoch increased
- import mftrace-1.1.17-1mdk

* Sun Oct 30 2005 Abel Cheung <deaddog@mandriva.org> 1.1.17-1mdk
- New release 1.1.17

* Wed Aug 17 2005 Abel Cheung <deaddog@mandriva.org> 1.1.16-1mdk
- New release 1.1.16

* Thu Aug 11 2005 Abel Cheung <deaddog@mandriva.org> 1:1.1.12-1mdk
- Revert to 1.1.12, lilypond won't build with 1.1.13

* Thu Aug 11 2005 Abel Cheung <deaddog@mandriva.org> 1.1.13-2mdk
- Rebuild

* Sun Aug 07 2005 Abel Cheung <deaddog@mandriva.org> 1.1.13-1mdk
- New release 1.1.13
- Fix build dependency

* Sat Aug 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.8-2mdk
- rebuilt against latest libMagick

* Sun Apr 17 2005 Giuseppe Ghibò <ghibo@mandriva.com> 1.1.8-1mdk
- Release: 1.1.8.

* Mon Mar 21 2005 Abel Cheung <deaddog@mandrake.org> 1.1.6-1mdk
- New release 1.1.6

* Sat Feb 05 2005 Abel Cheung <deaddog@mandrake.org> 1.1.2-2mdk
- Requires fontforge instead of pfaedit

* Sun Jan 16 2005 Abel Cheung <deaddog@mandrakesoft.com> 1.1.2-1mdk
- New release 1.1.2

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrake.org> 1.0.36-2mdk
- Requires python

* Fri Dec 10 2004 Abel Cheung <deaddog@mandrake.org> 1.0.36-1mdk
- New version
- Pulls in potrace too, in case some software wants --autotrace option
  and others want --potrace option

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 1.0.33-2mdk
- Please use configure2_5x whenever possible
- Fix BuildRequires

* Sun Jul 18 2004 Michael Scherer <misc@mandrake.org> 1.0.33-1mdk
- New release 1.0.27

